#ifdef ARC_NONE_INPUT

#include "arc/input/mouse.h"
#include <stdio.h>

void ARC_Mouse_CreateWithInput(ARC_Mouse **mouse, ARC_Input *input){
    printf("No Input Backend Selected\n");
}

void ARC_Mouse_Destroy(ARC_Mouse *mouse){
    printf("No Input Backend Selected\n");
}

void ARC_Mouse_UpdateButton(ARC_Mouse *mouse, uint8_t button, uint32_t *buttons, uint32_t mask){
    printf("No Input Backend Selected\n");
}

void ARC_Mouse_Update(ARC_Mouse *mouse){
    printf("No Input Backend Selected\n");
}

ARC_Point *ARC_Mouse_GetCoords(ARC_Mouse *mouse){
    printf("No Input Backend Selected\n");
    return NULL;
}

ARC_MouseState ARC_Mouse_GetState(ARC_Mouse *mouse, ARC_MouseButton button){
    printf("No Input Backend Selected\n");
    return ARC_MOUSE_NONE;
}

int32_t *ARC_Mouse_GetScrollY(ARC_Mouse *mouse){
    printf("No Input Backend Selected\n");
    return NULL;
}

#endif // !ARC_INPUT_NONE
